//* Problem  : 2483 - Nasty Hacks
//* Contest  : acm.tju.edu.cn
//* Type     : Solution
//* Date     : 2007.07.25
//* Author   : alt
//* Language : C++
//* Compiler : Microsoft Visual C++ 6.0

#include <stdio.h>

int main()
{
	int nt, a, b, c;
	scanf("%i", &nt);
	while (nt--)
	{
		scanf("%i %i %i", &a, &b, &c);
		if (a > b - c) printf("do not advertise\n");
			else if (a < b - c) printf("advertise\n");
				else printf("does not matter\n");
	}
}